### A free/open-source library for quantitative finance

Public Member Functions
ForwardValueQuote Class Reference

quote for the forward value of an index More...

`#include <ql/quotes/forwardvaluequote.hpp>`

Inheritance diagram for ForwardValueQuote:
[legend]

List of all members.

## Public Member Functions

| ForwardValueQuote (const boost::shared_ptr< Index > &index, const Date &fixingDate)
void | update ()
Quote interface
Real | value () const
| returns the current value
bool | isValid () const
| returns true if the Quote holds a valid value

## Detailed Description

quote for the forward value of an index

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.